summaryrefslogtreecommitdiff
path: root/app-text
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-04-20 19:27:35 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-04-20 19:27:35 +0300
commit1539eb1083e399dc1b85497e5a3a7114ae7a8b59 (patch)
tree9279b222da4cd896da27c03602e87f6c1ce72e5f /app-text
parent76d8967726941f8348a06cfac423de23ad43a7eb (diff)
[poppler*] added poppler new versions
Diffstat (limited to 'app-text')
-rw-r--r--app-text/poppler-base/Manifest1
-rw-r--r--app-text/poppler-base/poppler-base-0.32.0.ebuild70
-rw-r--r--app-text/poppler-glib/Manifest1
-rw-r--r--app-text/poppler-glib/poppler-glib-0.32.0.ebuild70
-rw-r--r--app-text/poppler-qt4/Manifest1
-rw-r--r--app-text/poppler-qt4/poppler-qt4-0.32.0.ebuild55
-rw-r--r--app-text/poppler/poppler-0.32.0.ebuild37
7 files changed, 235 insertions, 0 deletions
diff --git a/app-text/poppler-base/Manifest b/app-text/poppler-base/Manifest
index f93ac230..90a4d3b3 100644
--- a/app-text/poppler-base/Manifest
+++ b/app-text/poppler-base/Manifest
@@ -1,2 +1,3 @@
DIST poppler-0.24.3.tar.xz 1506152 SHA256 d2cd02509e458117df7534b60703171d567f26865ab9b7f9c84c53727b35374e SHA512 561ee068e156e743e46388b093468ba50c2bab8d2e319524abeaddd195d388a370265c53fef2787974ee18de2af229cbd303b1a9ddd08a2a1d885f895deb263b WHIRLPOOL a47a2a6657479c9d82f5f8f2579e702a0f9cd98ff451140dd6ed80fd7ac1ba33a7b9251e8f4d8ea46e91e8054ba49ca960b5904c2cab191eab264b78aea6d42a
DIST poppler-0.24.5.tar.xz 1512476 SHA256 a2654910100c923c44e366242495e226db2798254f2fa2781138867348759f84 SHA512 dfb40f7d864614f4ad7e8729334931c4b40c48c0dc3d7a8c33b14134cf13c61f8a562cc790a08bee4a43c2c29e587a9d26330437858d465e18ceafd69521250c WHIRLPOOL 066924beb46e58c2906a3b278e617438bd966e2b7bd884e110949f0d149d2cca0bf6326f2fa8c99e3a2c0f2d3cb3f145c8eeee4f060d17e3dded501ef8ec7f33
+DIST poppler-0.32.0.tar.xz 1609624 SHA256 4963e31ba5e17530a87b16588e22928bc044e8d28d02303dded981bff6725b98 SHA512 f68355a0242ce467b9d7d7f47cc0c3b08f015c38b147eaeddc392e693239bce2b1b3832bd5e5411f25edddab6d3cea8ca0be151372a86963610a4eae3ea50eee WHIRLPOOL bb56d497f435ccb78dfeb0125ca5d003d08769fe74e11da940f6f5399194698e1908c22d815129e6d1f1a7a9855a68ad7043a3bdd4779045fcf64dd97ade3d22
diff --git a/app-text/poppler-base/poppler-base-0.32.0.ebuild b/app-text/poppler-base/poppler-base-0.32.0.ebuild
new file mode 100644
index 00000000..c10c0e30
--- /dev/null
+++ b/app-text/poppler-base/poppler-base-0.32.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/${P/-base}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0/51"
+IUSE="cjk curl cxx debug doc +jpeg jpeg2k +lcms png tiff +utils"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ >=media-libs/fontconfig-2.6.0
+ >=media-libs/freetype-2.3.9
+ sys-libs/zlib
+ curl? ( net-misc/curl )
+ jpeg? ( virtual/jpeg:0 )
+ jpeg2k? ( media-libs/openjpeg:0 )
+ lcms? ( media-libs/lcms:2 )
+ png? ( media-libs/libpng:0= )
+ tiff? ( media-libs/tiff:0 )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ cjk? ( >=app-text/poppler-data-0.4.4 )
+"
+
+S="${WORKDIR}/${P/-base}"
+
+DOCS=(AUTHORS NEWS README README-XPDF TODO)
+
+openjpeg_option() {
+ if use jpeg2k; then
+ echo --enable-libopenjpeg=openjpeg1
+ else
+ echo --enable-libopenjpeg=none
+ fi
+}
+
+src_configure() {
+ econf \
+ --disable-cairo-output \
+ --disable-gtk-test \
+ --disable-poppler-qt4 \
+ --disable-poppler-qt5 \
+ --disable-poppler-glib \
+ --enable-introspection=no \
+ --enable-zlib \
+ --enable-splash-output \
+ --enable-xpdf-headers \
+ $(use_enable lcms cms) \
+ $(use_enable jpeg libjpeg) \
+ $(openjpeg_option) \
+ $(use_enable png libpng) \
+ $(use_enable tiff libtiff) \
+ $(use_enable curl libcurl) \
+ $(use_enable cxx poppler-cpp) \
+ $(use_enable utils) \
+ --enable-cms=$(use lcms && echo "lcms2" || echo "none") \
+ || die "econf failed"
+}
diff --git a/app-text/poppler-glib/Manifest b/app-text/poppler-glib/Manifest
index f93ac230..90a4d3b3 100644
--- a/app-text/poppler-glib/Manifest
+++ b/app-text/poppler-glib/Manifest
@@ -1,2 +1,3 @@
DIST poppler-0.24.3.tar.xz 1506152 SHA256 d2cd02509e458117df7534b60703171d567f26865ab9b7f9c84c53727b35374e SHA512 561ee068e156e743e46388b093468ba50c2bab8d2e319524abeaddd195d388a370265c53fef2787974ee18de2af229cbd303b1a9ddd08a2a1d885f895deb263b WHIRLPOOL a47a2a6657479c9d82f5f8f2579e702a0f9cd98ff451140dd6ed80fd7ac1ba33a7b9251e8f4d8ea46e91e8054ba49ca960b5904c2cab191eab264b78aea6d42a
DIST poppler-0.24.5.tar.xz 1512476 SHA256 a2654910100c923c44e366242495e226db2798254f2fa2781138867348759f84 SHA512 dfb40f7d864614f4ad7e8729334931c4b40c48c0dc3d7a8c33b14134cf13c61f8a562cc790a08bee4a43c2c29e587a9d26330437858d465e18ceafd69521250c WHIRLPOOL 066924beb46e58c2906a3b278e617438bd966e2b7bd884e110949f0d149d2cca0bf6326f2fa8c99e3a2c0f2d3cb3f145c8eeee4f060d17e3dded501ef8ec7f33
+DIST poppler-0.32.0.tar.xz 1609624 SHA256 4963e31ba5e17530a87b16588e22928bc044e8d28d02303dded981bff6725b98 SHA512 f68355a0242ce467b9d7d7f47cc0c3b08f015c38b147eaeddc392e693239bce2b1b3832bd5e5411f25edddab6d3cea8ca0be151372a86963610a4eae3ea50eee WHIRLPOOL bb56d497f435ccb78dfeb0125ca5d003d08769fe74e11da940f6f5399194698e1908c22d815129e6d1f1a7a9855a68ad7043a3bdd4779045fcf64dd97ade3d22
diff --git a/app-text/poppler-glib/poppler-glib-0.32.0.ebuild b/app-text/poppler-glib/poppler-glib-0.32.0.ebuild
new file mode 100644
index 00000000..7a5fc8fd
--- /dev/null
+++ b/app-text/poppler-glib/poppler-glib-0.32.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils libtool multilib autotools
+
+DESCRIPTION="Glib bindings for poppler"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/poppler-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0/51"
+
+IUSE="cairo doc +introspection"
+S="${WORKDIR}/poppler-${PV}"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ cairo? (
+ dev-libs/glib:2
+ >=x11-libs/cairo-1.10.0
+ introspection? ( >=dev-libs/gobject-introspection-1.32.1 )
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ ~app-text/poppler-base-${PV}
+"
+
+src_configure() {
+ local intro=$(use introspection && echo "yes" || echo "no")
+ econf \
+ $(use_enable cairo cairo-output) \
+ --enable-introspection="${intro}" \
+ --enable-poppler-glib \
+ --enable-zlib \
+ --enable-splash-output \
+ --disable-gtk-test \
+ --disable-poppler-qt4 \
+ --disable-poppler-qt5 \
+ --disable-xpdf-headers \
+ --disable-libjpeg \
+ --enable-libopenjpeg=none \
+ --disable-libpng \
+ --disable-utils || die "econf failed"
+}
+
+src_install() {
+ cd "${S}/glib" || die
+ emake DESTDIR="${ED}" install || die "cannot install"
+
+ # install pkg-config data
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins "${S}"/poppler-glib.pc
+ use cairo && doins "${S}"/poppler-cairo.pc
+
+ if use cairo && use doc; then
+ # For now install gtk-doc there
+ insinto /usr/share/gtk-doc/html/poppler
+ doins -r "${S}"/glib/reference/html/* \
+ || die "failed to install API documentation"
+ fi
+}
diff --git a/app-text/poppler-qt4/Manifest b/app-text/poppler-qt4/Manifest
index f93ac230..90a4d3b3 100644
--- a/app-text/poppler-qt4/Manifest
+++ b/app-text/poppler-qt4/Manifest
@@ -1,2 +1,3 @@
DIST poppler-0.24.3.tar.xz 1506152 SHA256 d2cd02509e458117df7534b60703171d567f26865ab9b7f9c84c53727b35374e SHA512 561ee068e156e743e46388b093468ba50c2bab8d2e319524abeaddd195d388a370265c53fef2787974ee18de2af229cbd303b1a9ddd08a2a1d885f895deb263b WHIRLPOOL a47a2a6657479c9d82f5f8f2579e702a0f9cd98ff451140dd6ed80fd7ac1ba33a7b9251e8f4d8ea46e91e8054ba49ca960b5904c2cab191eab264b78aea6d42a
DIST poppler-0.24.5.tar.xz 1512476 SHA256 a2654910100c923c44e366242495e226db2798254f2fa2781138867348759f84 SHA512 dfb40f7d864614f4ad7e8729334931c4b40c48c0dc3d7a8c33b14134cf13c61f8a562cc790a08bee4a43c2c29e587a9d26330437858d465e18ceafd69521250c WHIRLPOOL 066924beb46e58c2906a3b278e617438bd966e2b7bd884e110949f0d149d2cca0bf6326f2fa8c99e3a2c0f2d3cb3f145c8eeee4f060d17e3dded501ef8ec7f33
+DIST poppler-0.32.0.tar.xz 1609624 SHA256 4963e31ba5e17530a87b16588e22928bc044e8d28d02303dded981bff6725b98 SHA512 f68355a0242ce467b9d7d7f47cc0c3b08f015c38b147eaeddc392e693239bce2b1b3832bd5e5411f25edddab6d3cea8ca0be151372a86963610a4eae3ea50eee WHIRLPOOL bb56d497f435ccb78dfeb0125ca5d003d08769fe74e11da940f6f5399194698e1908c22d815129e6d1f1a7a9855a68ad7043a3bdd4779045fcf64dd97ade3d22
diff --git a/app-text/poppler-qt4/poppler-qt4-0.32.0.ebuild b/app-text/poppler-qt4/poppler-qt4-0.32.0.ebuild
new file mode 100644
index 00000000..063c8ead
--- /dev/null
+++ b/app-text/poppler-qt4/poppler-qt4-0.32.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils libtool multilib autotools
+
+DESCRIPTION="Qt4 bindings for poppler"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI="http://poppler.freedesktop.org/poppler-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0/51"
+IUSE=""
+S="${WORKDIR}/poppler-${PV}"
+
+# No test data provided
+RESTRICT="test"
+
+COMMON_DEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+"
+
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ ~app-text/poppler-base-${PV}"
+
+src_configure() {
+ econf \
+ --disable-poppler-glib \
+ --enable-zlib \
+ --enable-splash-output \
+ --disable-gtk-test \
+ --enable-poppler-qt4 \
+ --disable-poppler-qt5 \
+ --disable-xpdf-headers \
+ --disable-libjpeg \
+ --enable-libopenjpeg=none \
+ --disable-libpng \
+ --disable-utils || die "econf failed"
+}
+
+src_install() {
+ cd "${S}/qt4" || die
+ emake DESTDIR="${ED}" install || die "cannot install"
+
+ # install pkg-config data
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins "${S}"/poppler-qt4.pc
+}
diff --git a/app-text/poppler/poppler-0.32.0.ebuild b/app-text/poppler/poppler-0.32.0.ebuild
new file mode 100644
index 00000000..c0024291
--- /dev/null
+++ b/app-text/poppler/poppler-0.32.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base (meta package)"
+HOMEPAGE="http://poppler.freedesktop.org/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0/51"
+IUSE="cairo cjk curl cxx debug doc +introspection +jpeg jpeg2k +lcms png qt4 qt5 tiff +utils"
+
+COMMON_DEPEND="
+ ~app-text/poppler-base-${PV}[cxx=]
+ ~app-text/poppler-base-${PV}[curl=]
+ ~app-text/poppler-base-${PV}[debug=]
+ ~app-text/poppler-base-${PV}[jpeg=]
+ ~app-text/poppler-base-${PV}[jpeg2k=]
+ ~app-text/poppler-base-${PV}[lcms=]
+ ~app-text/poppler-base-${PV}[png=]
+ ~app-text/poppler-base-${PV}[tiff=]
+ ~app-text/poppler-base-${PV}[utils=]
+ "
+
+DEPEND="${COMMON_DEPEND} virtual/pkgconfig"
+
+PDEPEND="cairo? (
+ ~app-text/poppler-glib-${PV}[cairo,introspection=,doc=]
+ )
+ qt4? ( ~app-text/poppler-qt4-${PV} )
+ "
+# add qt5 support when needed
+
+RDEPEND="${COMMON_DEPEND} cjk? ( >=app-text/poppler-data-0.4.4 )"